Bug 1132172 - [GSS] (6.3.1) Setting String property to null on a Message breaks XMLExporter tool
Summary: [GSS] (6.3.1) Setting String property to null on a Message breaks XMLExporter...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: CR1
: EAP 6.3.1
Assignee: Clebert Suconic
QA Contact: Miroslav Novak
Russell Dickenson
URL:
Whiteboard:
Depends On: 1121685
Blocks: eap631-blockers, eap631-payload, eap63-cp01-blockers 1121680 1132169
TreeView+ depends on / blocked
 
Reported: 2014-08-20 20:35 UTC by Jimmy Wilson
Modified: 2018-12-09 18:24 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1121685
Environment:
Last Closed: 2014-10-13 18:38:20 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker HORNETQ-1370 0 Major Closed Setting String property to null on a Message breaks XMLExporter tool 2015-11-02 08:35:43 UTC

Description Jimmy Wilson 2014-08-20 20:35:49 UTC
+++ This bug was initially created as a clone of Bug #1121685 +++

+++ This bug was initially created as a clone of Bug #1121680 +++

Setting the value of a String property on a message
message.setStringProperty("source_env_version", null)
beaks the XMLExporter tool.

--- Additional comment from  on 2014-07-21 11:25:30 EDT ---

This was fixed on the 2.4.x branch of HornetQ via commit 8de65436ceca593d546e803a49d548c502049040.

--- Additional comment from JBoss JIRA Server on 2014-07-21 11:37:35 EDT ---

Justin Bertram <jbertram> updated the status of jira HORNETQ-1370 to Resolved

--- Additional comment from JBoss JIRA Server on 2014-07-21 12:37:44 EDT ---

Clebert Suconic <clebert.suconic> updated the status of jira HORNETQ-1370 to Closed

--- Additional comment from  on 2014-07-22 15:22:13 EDT ---

This was fixed on the 2.3.x branch of HornetQ via commit 31b299d43eb2b6dfc5db3ba304f9b57d457c646b.

Comment 1 Martin Svehla 2014-08-28 13:24:30 UTC
Verified with EAP 6.3.1.CP.CR1

XMLExporter now exports properties with null values as _HQ_NULL


Note You need to log in before you can comment on or make changes to this bug.